%define major 5
%define libname %mklibname webp %{major}
%define devname %mklibname webp -d

Summary:	Library and tools for the WebP graphics format
Name:		libwebp
Version:	0.4.3
Release:	1
# Additional IPR is licensed as well. See PATENTS file for details
License:	BSD
Group:		Development/C
Url:		http://webmproject.org/
Source0:	http://webp.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	libtool
BuildRequires:	swig
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:  libtiff-devel
BuildRequires:  giflib-devel

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

#----------------------------------------------------------------------------

%package tools
Summary:	The WebP command line tools
Group:		Development/Other

%description tools
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%files tools
%{_bindir}/*
%{_mandir}/man*/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for the WebP format
Group:		Development/C

%description -n %{libname}
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%files -n %{libname}
%{_libdir}/%{name}*.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libwebp, a library for the WebP format
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	webp-devel = %{EVRD}

%description -n %{devname}
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%files -n %{devname}
%doc README PATENTS COPYING NEWS AUTHORS
%{_libdir}/%{name}*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
mkdir -p m4
./autogen.sh
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std


%changelog

* Mon Oct 19 2015 abondrov <andrey.bondrov@rosalab.ru> 0.4.3-1
- (189cf45) Merge pull request #3 from dmitry/libwebp:rosa2014.1
- (189cf45) Update sources to version 0.4.3


